# QVM: Quaternions, Vectors, Matrices

### operator-=(quat,quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            A & operator-=( A & a, B const & b );
        }
    }

#### Effects:

Subtracts the elements of b from the corresponding elements of a.

#### Returns:

a.

See also: boost/qvm/quat_operations.hpp